Skip to main content
GET
/
exchange
/
api
/
v1
/
order_updates
Get Order Update History
curl --request GET \
  --url https://api.example.com/exchange/api/v1/order_updates
{
  "nextGlobalOrdinal": 123,
  "value": [
    {
      "globalOrdinal": 123,
      "epochId": 123,
      "reason": 0,
      "amount": "<string>",
      "symbol": "<string>",
      "makerOrderIntent": {
        "epochId": 123,
        "orderHash": "<string>",
        "symbol": "<string>",
        "side": 0,
        "amount": "<string>",
        "price": "<string>",
        "traderAddress": "<string>",
        "strategyIdHash": "<string>",
        "orderType": 0,
        "stopPrice": "<string>",
        "nonce": "<string>",
        "signature": "<string>",
        "createdAt": "2023-11-07T05:31:56Z"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "txOrdinal": 123,
      "ordinal": 123,
      "orderRejection": 0,
      "cancelRejection": 123,
      "quoteAssetAmount": "<string>",
      "price": "<string>",
      "makerFeeCollateral": "<string>",
      "makerFeeDDX": "<string>",
      "makerRealizedPnl": "<string>",
      "takerOrderIntent": {
        "epochId": 123,
        "orderHash": "<string>",
        "symbol": "<string>",
        "side": 0,
        "amount": "<string>",
        "price": "<string>",
        "traderAddress": "<string>",
        "strategyIdHash": "<string>",
        "orderType": 0,
        "stopPrice": "<string>",
        "nonce": "<string>",
        "signature": "<string>",
        "createdAt": "2023-11-07T05:31:56Z"
      },
      "takerFeeCollateral": "<string>",
      "takerFeeDDX": "<string>",
      "takerRealizedPnl": "<string>",
      "liquidatedTraderAddress": "<string>",
      "liquidatedStrategyIdHash": "<string>"
    }
  ],
  "success": true,
  "timestamp": 123
}

Query Parameters

trader
string

The trader address, with the discriminant prefix.

strategyIdHash
string

The strategy id hash.

limit
integer
default:500

The number of rows to return

globalOrdinal
integer

The global ordinal boundary used when fetching the next timeseries page.

order
enum<string>
default:asc

The ordering of the results.

Available options:
asc,
desc
symbol
string

The symbol

orderHash
string

the order hash of the order intent. Multiple order hash values can be provided.

Example:

"0xe30f69fffa653b9cb7d4e90f099fe12ea21c5ff8e97f7854dd"

reason
integer

The reason for the creation of this row. Multiple reason values can be provided. Values include: 0-Post; 1-Trade; 2-Liquidation; 3-Cancel, 4-Order Rejection, 5-Cancel Rejection.

since
integer

The earliest time in seconds to fetch rows for. This param cannot be used together with param order = 'desc'

Response

Order update data

Successful response for the Order Update API

nextGlobalOrdinal
number | null
required

Pointer for the global ordinal boundary of the next page. Will return null when there is no more data left to fetch.

Examples:

100

null

value
object[]
required

The value of the response

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026